## org.eclipse.datatools.modelbase.sql.routines.impl
Class ProcedureImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.routines.impl.RoutineImpl
                  org.eclipse.datatools.modelbase.sql.routines.impl.ProcedureImpl

All Implemented Interfaces:
  Procedure, Routine, SQLObject

Direct Known Subclasses:
  JDBCProcedure

    public class ProcedureImpl

extends RoutineImpl
implements Procedure

An implementation of the model object 'Procedure'.

The following features are implemented:

- `Max Result Sets`
- `Old Save Point`
- `Result Set`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`int` `getMaxResultSets()`
`EList` `getResultSet()`
`boolean` `isOldSavePoint()`
`void` `setMaxResultSets(int newMaxResultSets)`
`void` `setOldSavePoint(boolean newOldSavePoint)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.routines.impl.RoutineImpl

`basicGetSchema, basicSetSchema, basicSetSource, eInverseAdd, getAuthorizationID, getCreationTS, getExternalName, getInputParameters, getLanguage, getLastAlteredTS, getOutputParameters, getParameters, getParameterStyle, getSchema, getSecurity, getSource, getSpecificName, getSqlDataAccess, isDeterministic, setAuthorizationID, setCreationTS, setDeterministic, setExternalName, setLanguage, setLastAlteredTS, setParameterStyle, setSchema, setSecurity, setSource, setSpecificName, setSqlDataAccess`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.routines.Routine

`getAuthorizationID, getCreationTS, getExternalName, getInputParameters, getLanguage, getLastAlteredTS, getOutputParameters, getParameters, getParameterStyle, getSchema, getSecurity, getSource, getSpecificName, getSqlDataAccess, isDeterministic, setAuthorizationID, setCreationTS, setDeterministic, setExternalName, setLanguage, setLastAlteredTS, setParameterStyle, setSchema, setSecurity, setSource, setSpecificName, setSqlDataAccess`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getMaxResultSets

    public int getMaxResultSets()

  Specified by:
    `getMaxResultSets` in interface `Procedure`
  Returns:
    the value of the 'Max Result Sets' attribute.
  See Also:
    `Procedure.setMaxResultSets(int)`, `SQLRoutinesPackage.getProcedure_MaxResultSets()`

### setMaxResultSets

    public void setMaxResultSets(int newMaxResultSets)

  Specified by:
    `setMaxResultSets` in interface `Procedure`
  Parameters:
    `newMaxResultSets` - the new value of the 'Max Result Sets' attribute.
  See Also:
    `Procedure.getMaxResultSets()`

### isOldSavePoint

    public boolean isOldSavePoint()

  Specified by:
    `isOldSavePoint` in interface `Procedure`
  Returns:
    the value of the 'Old Save Point' attribute.
  See Also:
    `Procedure.setOldSavePoint(boolean)`, `SQLRoutinesPackage.getProcedure_OldSavePoint()`

### setOldSavePoint

    public void setOldSavePoint(boolean newOldSavePoint)

  Specified by:
    `setOldSavePoint` in interface `Procedure`
  Parameters:
    `newOldSavePoint` - the new value of the 'Old Save Point' attribute.
  See Also:
    `Procedure.isOldSavePoint()`

### getResultSet

    public EList getResultSet()

  Specified by:
    `getResultSet` in interface `Procedure`
  Returns:
    the value of the 'Result Set' containment reference list.
  See Also:
    `SQLRoutinesPackage.getProcedure_ResultSet()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `RoutineImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `RoutineImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `RoutineImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `RoutineImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `RoutineImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `RoutineImpl`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.